Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Member Functions | List of all members
sys::System Interface Reference

System access methods. More...

`import <System.idl;`

## Public Member Functions
boolean | isDaemonRunning (in string name)
| Check whether a daemon process is running.
void | restartDaemon (in string name)
| Restart a daemon process.

## Detailed Description

System access methods.

Definition at line 12 of file System.idl.

## Member Function Documentation

## ◆ isDaemonRunning()

boolean sys::System::isDaemonRunning | ( | in string | name | ) |

Check whether a daemon process is running.

Parameters

  name | Daemon name

Returns
  `true` if the daemon process is running

## ◆ restartDaemon()

void sys::System::restartDaemon | ( | in string | name | ) |

Restart a daemon process.

Parameters

  name | Daemon name

The documentation for this interface was generated from the following file:

- System.idl